package com.zh.project0512.controller.manage;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zh.project0512.annotation.AdminTokenValid;
import com.zh.project0512.service.IQywxDepartmentService;
import com.zh.project0512.utils.HttpUtil;
import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Tag(name = "企业微信管理")
@RestController
@RequestMapping("/manage/qywx")
public class QYWXController {
    @Autowired
    private HttpUtil httpUtil;
    @Autowired
    private IQywxDepartmentService qywxDepartmentService;

    @Operation(summary = "刷新企业部门信息")
    @PostMapping("/departmentRefresh")
    @AdminTokenValid
    public Result departmentRefresh() {
        String access_token = httpUtil.qywxGetToken();
        JSONObject res = httpUtil.qywxDepartmentList(access_token);
        List department = res.getJSONArray("department");
        qywxDepartmentService.remove(new QueryWrapper<>());
        qywxDepartmentService.updateAll(department);
        return Result.success(res.getJSONArray("department"));
    }
}
